IBC Connections
ClientConnections
/ibc/core/connection/v1/client_connections/{client_id}ClientConnections queries the connection paths associated with a client state.
Connections
/ibc/core/connection/v1/connectionsConnections queries all the IBC connections of a chain.
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Connection
/ibc/core/connection/v1/connections/{connection_id}Connection queries an IBC connection end.
ConnectionClientState
/ibc/core/connection/v1/connections/{connection_id}/client_stateConnectionClientState queries the client state associated with the connection.
ConnectionConsensusState
/ibc/core/connection/v1/connections/{connection_id}/consensus_state/revision/{revision_number}/height/{revision_height}ConnectionConsensusState queries the consensus state associated with the connection.
ConnectionParams
/ibc/core/connection/v1/paramsConnectionParams queries all parameters of the ibc connection submodule.